package dummy

import (
	"context"

	"source.toby3d.me/toby3d/home/internal/domain"
)

type dummyResourceRepository struct{}

func NewDummyResourceRepository() dummyResourceRepository {
	return dummyResourceRepository{}
}

func (dummyResourceRepository) Get(_ context.Context, _ string) (*domain.Resource, error) {
	return nil, nil
}

func (dummyResourceRepository) Fetch(_ context.Context, _ string) (domain.Resources, int, error) {
	return nil, 0, nil
}
